<!DOCTYPE html>

<!--AUTHOR: LYDIA RUIZ MIRAVALLES
    TFG, GRADO EN INGENIERIA INFORMATICA
    UNIVERSIDAD DE VALLADOLID, 2018-->

<!--Formulario de datos generales-->
<html lang="es">
<head>
  <title> DatosGenerales2</title>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1"><!-- Para que se muestre bien en todas las pantallas, incluso en moviles -->
  <link rel="stylesheet" href="../css/bootstrap.css">
  <link rel="stylesheet" href="../css/estiloWeb.css">
  <script type="text/javascript" src="../js/ocultarMostrar.js"></script>
  <script type="text/javascript" src="../js/controlCuestiones.js"></script>
  <script type="text/javascript" src="../js/compruebaP4.js"></script>
</head>
<body >

  <?php include 'cabecera.php';?>
  <?php include 'consultasBD.php';?>
  <div class="container">
    <!--panel que contiene todas las cuestiones del formulario-->
    <form action="procesaPagDaTrabajo.php" name = "formul" role="form" method="post">
      <div class="form-group">
    <div class="panel panel-primary ">

      <div class="panel-heading col-md-auto text-center"><h4>Datos con los que se trabaja:</h4></div>
      <div class="panel-body ">
<img align="right"style=" width="220" height="220"" src="../Imagenes/fichero.png"/>
            <!--Cuestión con respuesta unica tipo radio-->
            <label for="tipoEmpresa">1. Marque el sector al que pertenezca su empresa u organización:
              <br><br>
              <div class="col-md-auto col-md-offset-1">
                  <label class="radio-inline">
                    <input type="radio" name="radioSectores" value="opcion_1" onclick="ocultar('otroSector');">Automoción y transporte
                  </label>
                  <br><br>
                  <label class="radio-inline">
                    <input type="radio" name="radioSectores" value="opcion_2"onclick="ocultar('otroSector');">Químico, farmacéutico y sanitario
                  </label>
                    <br><br>
                    <label class="radio-inline">
                      <input type="radio" name="radioSectores" value="opcion_3"onclick="ocultar('otroSector');">Educativo
                    </label>
                    <br><br>
                  <label class="radio-inline">
                    <input type="radio" name="radioSectores" value="opcion_4"onclick="ocultar('otroSector');">Sector de ventas al público (tiendas de ropa, librerias...)
                  </label>
                    <br><br>
                  <label class="radio-inline">
                    <input type="radio" name="radioSectores" value="opcion_5"onclick="ocultar('otroSector');;">Industrial
                  </label>
                    <br><br>
                  <label class="radio-inline">
                    <input type="radio" name="radioSectores" value="opcion_6" onclick="ocultar('otroSector');">Servicio a empresas
                  </label>
                    <br><br>
                  <label class="radio-inline">
                    <input type="radio" name="radioSectores" value="opcion_7" onclick="ocultar('otroSector');">Sector servicios
                  </label>
                    <br><br>
                  <label class="radio-inline">
                    <input type="radio" name="radioSectores" onclick="mostrar('otroSector');" value="opcion_8">Otro sector:
                  </label>

              </div>
                <br><br>
            </label>
              <!--text que aparecera en caso de seleccionar otro sector-->
              <div class="row col-md-offset-1" id="otroSector" style="display: none;">
              <input name="otroSec" id="otroSec" type="text" class="campos_de_texto" size="70" maxlength="100"placeholder="Indique el sector al que pertenece " />

              </div>
              <br><br>
              <!--Cuestión sobre datos personales a gran escala-->
            <label for="numPersonas">2. ¿Realiza un tratamiento de datos personales a gran escala?</label>
<br><br>
<div class="row col-md-offset-1" >
	<!--Panel de definición de tratamiento a gran escala-->

              <div class=" panel panel-info  col-md-6 ">
                <div class="panel-body">
"Tratamientos de Datos a Gran Escala” son aquellos que tratan:
<br>
- Una gran cantidad de datos
<br>
- Con ámbito geográfico regional o superior
<br>
- Con afectación a gran número de interesados
<br>
- Referidos a datos sensibles, como datos biométricos o de salud
<br>
- Aplicando nuevas tecnologías (que puedan tener riesgos para la privacidad) a esa gran escala
<br>
- Que entrañen alto riesgo para los derechos y libertades de los interesados
		</div>
		</div>
</div>
<br>
              <div class="col-md-2 col-md-offset-1">
              <label class="radio-inline">
                <input type="radio"  name="numDatos"value="opcion_1" > Si
              </label>
              <label class="radio-inline">
                <input type="radio" name="numDatos" value="opcion_2" > No
              </label>

            </div>
            <br><br><br>
            <!--Cuestión sobre el tratamiento de datos de menores-->
            <label for="numPersonas">4. ¿Se trabaja con datos de personas menores de 14 años?</label>
            <br><br>
            <div class="col-md-2 col-md-offset-1">
              <label class="radio-inline">
                <input type="radio"  name="radioPersonas"value="opcion_1"> Si
              </label>
              <label class="radio-inline">
                <input type="radio" name="radioPersonas" value="opcion_2" > No
              </label>

            </div>
            <br><br><br>
            <!--Cuestión sobre el mantenimiento de los datos-->
            <label for="permanenciaDatos">5.¿Mantiene los datos una vez finalizado el tratamiento de ellos?</label>
            <br><br>
            <div class="col-md-2 col-md-offset-1">
              <label class="radio-inline">
                <input type="radio"  name="permanenciaDatos"value="opcion_1" onclick="mostrar('interesLegitimo');"> Si
              </label>
              <label class="radio-inline">
                <input type="radio" name="permanenciaDatos" value="opcion_2" onclick="ocultar('interesLegitimo');ocultar('mantDatos')" > No
              </label>
            </div>
     <!--Cuestiones que apareceran en caso de ser afirmativa la cuestión 5-->
                <div class="col-md-offset-1" name = "interesLegitimo" id="interesLegitimo" style="display: none;">
                  <br><br><br>
                  <label for="numPersonas">5.1. Indique el tiempo que guarda los datos una vez finalizado el tratamiento:</label>

                      <br><br>
                      <div class="col-md-auto col-xs-1">
                      <input type="text" class="form-control" name="tiempoGuardado" size="10" maxlength="20" />
                      <br></div>
                      <div class="col-md-auto col-xs-2">
                      <select class="form-control "name="timeGuard" >
                        <option value="dias">Dias</option>
                        <option value="meses">Meses</option>
                         <option value="años">Años</option>
                       </select>
                       <div class="row" id="errorNum" style="display: none;">
                         <error> *Debe introducir un número </error>
                     <br><br><br>
                       </div>
                     </div>
                     <br><br><br>
              <label for="permanenciaDatos">5.2.¿Existe interés legítimo para guardar los datos una vez finalizado el tratamiento?</label>
              <br><br>
              <div class="col-md-2 col-md-offset-1">
                <label class="radio-inline">
                  <input type="radio"  name="interesDatos"value="opcion_1" onclick="mostrar('mantDatos');"> Si
                </label>
                <label class="radio-inline">
                  <input type="radio" name="interesDatos" value="opcion_2" onclick="ocultar('mantDatos');" > No
                </label>
            </div>
          </div>
            <br><br><br>

            <div class="row col-md-offset-2" id="mantDatos"  style="display: none;">
            <label for="motivoMantDatos">5.2.1.¿El mantenimiento de los datos se realiza por motivos con fines estadísticos, históricos y/o científicos? </label>
              <br><br>
              <div class="col-md-2 col-md-offset-1">
              <label class="radio-inline">
                <input type="radio"  name="motivoMantDatos"value="opcion_1" onclick="mostrar(otroMotivo);"> Si
              </label>
              <label class="radio-inline">
                <input type="radio" name="motivoMantDatos" value="opcion_2" onclick="ocultar(otroMotivo);"> No
              </label>

            </div>
		<br>
  <div class="row" id="otroMotivo" style="display: none;">
              <br><br><br>
            <input name="otroMotivo" type="textarea" class="campos_de_texto" size="100" maxlength="100"placeholder="Indique el motivo por el cuál conserva los datos después del tratamiento"/>
          </div>
              <br><br>
              <label for="tecnicasMantDatos">5.2.2. ¿Utiliza alguna técnica de las siguientes técnicas de seudonimización ?</label>
              <br><br>
              <!--Panel de definición de seudonimización-->

              <div class=" panel panel-info  col-md-3 ">
                <div class="panel-body">
                Seudonimización de datos, según RGPD, es el tratamiento de datos personales de manera tal que ya no pueden atribuirse a un interesado sin utilizar información adicional.
              </div>
                </div>
                <br>
                <!--Cuestion donde se debe seleccionar un tipo de técnica de seudonimizacion u indicar otra-->
              <div class="col-md-auto col-md-offset-4">
                <label class="radio-inline">
                <input type="radio" name="anonimizacion0" value="opcion_0" onclick="ocultar('tecnicAnonimizacion');desMarcAnoni(this);uncheckRadio(this);"> No utilizo ninguna técnica.
              </label>
              <br><br>
                <label class="radio-inline">
                <input type="radio" name="anonimizacion1" value="opcion_1" onclick="desMarcNingAnoni(this);uncheckRadio(this);"> Cifrado con clave secreta o con clave de borrado de claves.
              </label>
              <br><br>
              <label class="radio-inline">
                <input type="radio" name="anonimizacion2" value="opcion_2" onclick="desMarcNingAnoni(this);uncheckRadio(this);" > Función hash.
              </label>
                <br><br>
              <label class="radio-inline">
                <input type="radio" name="anonimizacion3" value="opcion_3" onclick="desMarcNingAnoni(this);uncheckRadio(this);" > Función con clave almacenada.
              </label>
                <br><br>
              <label class="radio-inline">
                <input type="radio" name="anonimizacion4" value="opcion_4" onclick="desMarcNingAnoni(this);uncheckRadio(this);" > Descomposición en tokens.
              </label>
                <br><br>
              <label class="radio-inline">
                <input type="radio" name="anonimizacion5" value="opcion_5" onclick="mostrar('tecnicAnonimizacion');desMarcNingAnoni(this);uncheckRadio(this);" > Otra técnica:
              </label>
            </div>
            <div class="row" id="tecnicAnonimizacion" style="display: none;">
              <br><br><br>
            <input name="tecnicAnonimizacion" type="textarea" class="campos_de_texto" size="100" maxlength="100"placeholder="Indique la técnica que utiliza de anonimización de los datos"/>
          </div>
          <br><br>
          </div>


<!--Cuestión a cerca de la extensión geográfica donde se comunican los datos, de ser a un país fuera de UE deberá completar más cuestiones-->
<label for="numPersonas">6. Extensión geográfica de la actividad del tratamiento o la difusión de los datos:</label>
<br><br>
<div class="col-md-auto col-md-offset-1">
  <label class="radio-inline">
    <input type="radio" name="radioGegografia" value="TerrNacional" onclick="ocultar('paisesConSeguridad');">Territorio nacional
  </label>
  <br><br>
  <label class="radio-inline">
    <input type="radio" name="radioGegografia" value="Europa" onclick="ocultar('paisesConSeguridad');">Países dentro de la Unión Europea
</label>
<br><br>
<label class="radio-inline">
  <input type="radio" name="radioGegografia" value="FEuropa" onclick="mostrar('paisesConSeguridad');">Países fuera de la Unión Europea
</label>
</div>

<div class="row">
<br><br><br><br>
<!--Paises con seguridad, si selecciona otro deberá indicar cual-->
<div  class=" col-md-3 col-md-offset-1">
<select class="form-control"name="paises"   onChange="siOtroPais();" id="paisesConSeguridad" style="display:none">
   <option value="2">Suiza</option>
   <option value="3">Argentina</option>
   <option value="4">Guernsey</option>
   <option value="5">Isla de Man</option>
   <option value="6">Jersey</option>
   <option value="7">Islas Feroe</option>
   <option value="8">Andorra</option>
   <option value="9">Israel</option>
   <option value="10">Canada</option>
   <option value="11">Uruguay</option>    	
   <option value="1">Otro país</option>
</select>
</div>

<div class="row" id="otroPais" style="display: none;">
<input name="otro" type="text" class="campos_de_texto" size="70" maxlength="100"placeholder="Indique el país al que cederá datos" />
</div>
    </div>
  </div>
</div>
</div>
     <div class="row">
      <br><br>
          <!--panel con los botones generales de la web para continuar o ir un paso atras-->
              <div class="panel panel-info text-center">
                <div class="panel-body">
                  <div class="row" id="errorMSG" style="display: none;">
                <error> *Debe completar todos los campos para poder continuar </error>
                <br><br>
                  </div>
		<a href="<?=$_SERVER["HTTP_REFERER"]?>"class="btn btn-warning btn-lg col-md-2 col-md-offset-6">Atras</a>
                <input type="button" class="btn btn-success btn-lg col-md-2 col-md-offset-1" name="boton" value="Continuar" onclick="validar();" />
              </div>
              </div>

          </div>
        </form>

    </div>

</div>
<?php include 'piePagina.php';?>
</body>
</html>
