<!DOCTYPE html>

<!--AUTOR: LYDIA RUIZ MIRAVALLES
    TFG, GRADO EN INGENIERIA INFORMATICA
    UNIVERSIDAD DE VALLADOLID, 2018-->

<!--Cuestionario a cerca de los datos de salud aplicado al caso de los centros educativos-->
<html lang="es">
<head>
  <title>DatosSaludEducación</title>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1"><!-- Para que se muestre bien en todas las pantallas, incluso en moviles -->

<link rel="stylesheet" href="../css/bootstrap.css">
  <link rel="stylesheet" href="../css/estiloWeb.css">
  <script type="text/javascript" src="../js/ocultarMostrar.js"></script>
<script type="text/javascript" src="../js/mulDiv.js"></script>
  <script type="text/javascript" src="../js/controlCuestiones.js"></script>
  <script type="text/javascript" src="../js/compruebaP6.js"></script>
</head>
<body>
  <?php include 'cabecera.php';?>
  <div class="container">
    <!--panel que contiene las cuestiones-->
    <form action="procesaPagEducacion.php" name = "formul" role="form" method="post">
      <div class="form-group">
    <div class="panel panel-primary ">

      <div class="panel-heading col-md-auto text-center">Datos de centros educativos:</div>
      <div class="panel-body ">

<img align="right"style="width="300" height="300"" src="../Imagenes/educacion.png"/>
            <label for="numPersonas">1. Indique si los datos se utilizan para alguno/os de los siguientes motivos: </label>
              <div class="row col-md-offset-1">
<br>
              <input type="radio" name="radioMot0" value="opcion_0" onClick="uncheckRadio(this);ocultar('otroMotivo');desmarcar3(this);"> No tengo ningún motivo</input>
<br><br>
                <input type="radio" name="radioMot1" value="opcion_1" onClick="uncheckRadio(this);ocultar('otroMotivo');desMarcNingun3(this);"> Servicios médicos relacionados con partes de lesiones o enfermedades de los alumnos durante su estancia en el colegio.</input>
<br><br>
              <input type="radio" name="radioMot2" value="opcion_2" onClick="uncheckRadio(this);ocultar('otroMotivo');desMarcNingun3(this);"> Discapacidades físicas o psíquicas.</input>
<br><br>
            <input type="radio" name="radioMot3" value="opcion_3" onClick="uncheckRadio(this);ocultar('otroMotivo');desMarcNingun3(this);"> Informes psicopedagógicos.</input>
<br><br>
            <input type="radio" name="radioMot4" value="opcion_4" onClick="uncheckRadio(this);ocultar('otroMotivo');desMarcNingun3(this);"> Servicio de comedor, se tratan datos de salud con el objetivo de saber que alumnos padecen algún tipo de alergia alimenticia.</input>
<br><br>
            <input type="radio" name="radioMot5" value="opcion_5" onClick="uncheckRadio(this);mostrar('otroMotivo');desMarcNingun3(this);"> Otro motivo.</input>
<br><br>
          <div class="row col-md-offset-1" id="otroMotivo" style="display: none;">
            <input name="motivo"type="text" class="form-control col-md-10" id="ejemplo_email_1" size="80" maxlength="100" placeholder="Escriba aquí su motivo">
          </div>
        </div>
        </label>
          <br><br>
          <label for="numPersonas">2. Indique si utiliza alguna de las siguientes medidas técnicas y organizativas que velen por la integridad de los datos: </label>

          <div class="col-md-auto col-md-offset-1">
            <br>
            <label class="radio-inline">
              <input type="radio" name="radioInteg1" value="opcion_1" onClick="uncheckRadio(this);ocultar('otraTecnica');desMarcNingun4(this);">Delegar: Asigna un responsable de negocio y un responsable de TI para cada sistema de registro o sistema de origen.
</input>
<br><br>
            <input type="radio" name="radioInteg2" value="opcion_2" onClick="uncheckRadio(this);ocultar('otraTecnica');desMarcNingun4(this);">  Educar: Nombra un administrador de datos para informar a todas las partes interesadas acerca de las definiciones de datos, normas y reglas.
<br><br></input>
            <input type="radio" name="radioInteg3" value="opcion_3" onClick="uncheckRadio(this);ocultar('otraTecnica');desMarcNingun4(this);"> Monitorizar: Crea cuadros de mando de calidad de datos para elementos clave individuales.
<br><br></input>
            <input type="radio" name="radioInteg4" value="opcion_4" onClick="uncheckRadio(this);ocultar('otraTecnica');desMarcNingun4(this);"> Archivar: Establece un sistema regulado para el archivo de datos, retención y destrucción.
    <br><br></input>
            <input type="radio" name="radioInteg5" value="opcion_5" onClick="uncheckRadio(this);ocultar('otraTecnica');desmarcar4(this);"> No utilizo ninguna técnica. </input>

            <br><br>
          <input type="radio" name="radioInteg6" value="opcion_6"onClick="uncheckRadio(this);mostrar('otraTecnica');desMarcNingun4(this);"> Otra técnica:
          <br><br></input>
          <div class="row col-md-offset-1" id="otraTecnica" style="display: none;">
            <input name="tecnica" type="text" class="form-control col-md-10" name="otraTecnica" size="80" maxlength="100" placeholder="Escriba aquí su técnica">
        </div>
          </label>
    </div>
        <br><br>
        <label for="numPersonas">3. ¿Se ceden datos a los proveedores?</label>
        <br><br>
        <div class="col-md-2 col-md-offset-1">
          <label class="radio-inline">
            <input type="radio" name="radioProveedores" value="opcion_1" onclick="mostrar('numProveedores');"> Si
          </label>
          <label class="radio-inline">
            <input type="radio" name="radioProveedores" value="opcion_2" onclick="ocultar('numProveedores');"> No
        </label>
        </div>
        <br><br>
        <!--Coge el numero de proveedores que tenga-->
        <div class="col-md-auto col-md-offset-1" id="numProveedores" style="display:none;">
          <form name="ejMultiInput">
            <label for="numProveedores">3.1.Indique el número de proveedores a los que cede los datos.</label>
            <br><br>
            <div class="col-md-auto col-xs-1">
            <input name="nProv"type="text" class="form-control" onkeyup="multiplicarInputs(this)" size="10" maxlength="20" />
            <br />
            <div id="divMultiInputs">

          </div>
</div>
</form>
</div>


      </div>
      </div>

    <div class="row">
      <br><br>
              <div class="panel panel-info text-center">
                <div class="panel-body">
                  <div class="row" id="errorMSG" style="display: none;">
                    <error> *Debe completar todos los campos para poder continuar </error>
                    <br><br>
                  </div>
<a href="<?=$_SERVER["HTTP_REFERER"]?>"class="btn btn-warning btn-lg col-md-2 col-md-offset-6">Atras</a>
                  <input type="button" class="btn btn-success btn-lg col-md-2 col-md-offset-1" name="boton" value="Continuar" onclick="validar();"/>
                </div>
              </div>
          </div>
        </div>
  </form>
<?php include 'piePagina.php';?>
</body>
</html>
