<!DOCTYPE html>

<!--AUTOR: LYDIA RUIZ MIRAVALLES
    TFG, GRADO EN INGENIERIA INFORMATICA
    UNIVERSIDAD DE VALLADOLID, 2018-->

<!--Pagina del cuestionario con cuestiones sobre el tratamiento general de los datos-->
<html lang="es">
<head>
  <title> DatosTratamiento</title>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1"><!-- Para que se muestre bien en todas las pantallas, incluso en moviles -->
   <link rel="stylesheet" href="../css/bootstrap.css">
     <link rel="stylesheet" href="../css/estiloWeb.css">
  <script type="text/javascript" src="../js/ocultarMostrar.js"></script>
  <script type="text/javascript" src="../js/compruebaP7.js"></script>
</head>
<body>
  <?php include 'cabecera.php';?>
  <div class="container">
    <!--panel con las cuestiones generales del tratamiento-->
    <form action="procesaPagGenerales.php" name = "formul" role="form" method="post">
      <div class="form-group">
    <div class="panel panel-primary ">

      <div class="panel-heading col-md-auto text-center"> Cuestiones generales del tratamiendo de los datos: </div>
      <div class="panel-body ">

            <br><br><br>
<img align="right"style=" width="150" height="150"" src="../Imagenes/privacy.png"/>
            <label for="tratamiento1">1. ¿El tratamiento de los datos se realizará en el supuesto de que el titular no presente su consentimiento?</label>
            <br><br>
            <div class="col-md-2 col-md-offset-1">
              <label class="radio-inline">
                <input type="radio" name="radioConsentimiento" value="opcion_1" onclick="mostrar('interesLegitimo');"> Si
              </label>
              <label class="radio-inline">
                <input type="radio" name="radioConsentimiento" value="opcion_2" onclick="ocultar('interesLegitimo');ocultar('motivoNoConsentimiento');"> No
              </label>
            </div>
            <!--Cuestiones del interes legitimo en caso afirmativo de la respuesta anterior-->
            <div class="col-md-offset-1" id="interesLegitimo" style="display: none;">
              <br><br><br>
          <label for="interesLegCons">1.1.¿Existe interés legítimo para realizar el tratamiento sin consentimiento</label>
          <br><br>
          <div class="col-md-2 col-md-offset-1">
            <label class="radio-inline">
              <input type="radio"  name="interesDatos"value="opcion_1" onclick="mostrar('motivoNoConsentimiento');"> Si
            </label>
            <label class="radio-inline">
              <input type="radio" name="interesDatos" value="opcion_2" onclick="ocultar('motivoNoConsentimiento');" > No
            </label>
        </div>
      </div>
      <!--no se validará si el motivo es valido-->
      <div class="row" id="motivoNoConsentimiento" style="display: none;">
      <input name="motConsent" type="text" class="campos_de_texto" size="70" maxlength="100"placeholder="Indique el motivo por el cual realiza el tratamiento sin consentimiento" />

      </div>
            <br><br><br>
            <label for="tratamiento1">2. ¿El consentimiento es solicitado como condición previa?</label>
            <br><br>
            <div class="col-md-2 col-md-offset-1">
              <label class="radio-inline">
                <input type="radio" name="radioCondPrevia" value="opcion_1" onclick="mostrar('condPrevia');"> Si
              </label>
              <label class="radio-inline">
                <input type="radio" name="radioCondPrevia" value="opcion_2" onclick="ocultar('condPrevia');ocultar('motivoCondPrevia');"> No
              </label>
            </div>
            <div class="col-md-offset-1" id="condPrevia" style="display: none;">
              <br><br><br>
              <!--interes legitimo para el consentimiento como condición previa-->
          <label for="condicionPrevia">2.1.¿Existe interés legítimo para solicitar el consentimiento como condición previa?</label>
          <br><br>
          <div class="col-md-2 col-md-offset-1">
            <label class="radio-inline">
              <input type="radio"  name="condPrevia"value="opcion_1" onclick="mostrar('motivoCondPrevia');"> Si
            </label>
            <label class="radio-inline">
              <input type="radio" name="condPrevia" value="opcion_2" onclick="ocultar('motivoCondPrevia');" > No
            </label>
        </div>
      </div>
      <!--no se validará el motivo-->
      <div class="row" id="motivoCondPrevia" style="display: none;">
      <input name="condPreviaText" type="text" class="campos_de_texto" size="70" maxlength="100"placeholder="Indique el motivo por el cual se solicita el consentimiento como condición previa" />

      </div>
            <br><br><br>
            <label for="tratamiento1">3. ¿El solicitante se encuentra en oposición de predominio sobre el titular de los datos?</label>
            <br><br>
            <div class="col-md-2 col-md-offset-1">
              <label class="radio-inline">
                <input type="radio" name="radioTitular" value="opcion_1"> Si
              </label>
              <label class="radio-inline">
                <input type="radio" name="radioTitular" value="opcion_2"> No
              </label>
            </div>
                </div>
              </div>


    <div class="row">
      <br><br>
        <!--panel con los botones generales de la web para continuar o ir un paso atras-->
              <div class="panel panel-info text-center">
                <div class="panel-body">
                  <div class="row" id="errorMSG" style="display: none;">
                    <error> *Debe completar todos los campos para poder continuar </error>
                    <br><br>
                  </div>
    <!--            <input type="button" class="btn btn-warning btn-lg col-md-2 col-md-offset-6" name="boton" value="Atras" onclick="
-->
		<!--boton con función a la página anterior del servidor-->
		<a href="<?=$_SERVER["HTTP_REFERER"]?>"class="btn btn-warning btn-lg col-md-2 col-md-offset-6">Atras</a>
                <input type="button" class="btn btn-success btn-lg col-md-2 col-md-offset-1" name="boton" value="Continuar" onclick="validar();" />

              </div>
            </div>
    </div>
  </form>
</div>

</div>


<script src="js/bootstrap.min.js"></script>
<?php include 'piePagina.php';?>
</body>
</html>
