<!DOCTYPE html>

<!--AUTOR: LYDIA RUIZ MIRAVALLES
    TFG, GRADO EN INGENIERIA INFORMATICA
    UNIVERSIDAD DE VALLADOLID, 2018-->

<!--Pagina con el cuestionario sobre el tratamiento de datos de salud-->
<html lang="es">
<head>
  <title>DatosSalud</title>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1"><!-- Para que se muestre bien en todas las pantallas, incluso en moviles -->
  <link rel="stylesheet" href="../css/estiloWeb.css">
  <script type="text/javascript" src="../js/controlCuestiones.js"></script>
  <script type="text/javascript" src="../js/ocultarMostrar.js"></script>
  <script type="text/javascript" src="../js/mulDiv.js"></script>
  <script type="text/javascript" src="../js/compruebaP5v2.js"></script>

<link rel="stylesheet" href="../css/bootstrap.css">
</head>
<body>
  <?php include 'cabecera.php';?>
  <div class="container">
    <form action="procesaPagSalud.php" name = "formul" role="form" method="post">
      <div class="form-group">
    <!--Panel que contiene el cuestionario-->
    <div class="panel panel-primary ">

      <div class="panel-heading col-md-auto text-center">Datos de salud:</div>
      <div class="panel-body ">

            <br><br><br>

            <label for="numPersonas"> 1. Sobre los datos con los que trata marque sí se encuentra en alguno de los siguientes casos: </label>
            <br><br>
            <div class="col-md-auto col-md-offset-1">
              <label class="radio-inline">
                <input type="radio" id="radioTratamiento1" name="radioTratamiento1" value="opcion_1" onclick="uncheckRadio(this);desMarcNingun(this);"> Se trata de una organización sin ánimo de lucro con finalidad política, filosófica, religiosa o sindical con relación a sus fines.
              </label>
              <br><br>
              <label class="radio-inline">
                <input type="radio" id="radioTratamiento2" name="radioTratamiento2" value="opcion_2" onclick="uncheckRadio(this);desMarcNingun(this);"> El interesado ha dado su consentimiento explícito para fines específicos.
            </label>
            <br><br>
            <label class="radio-inline">
              <input type="radio" id="radioTratamiento3" name="radioTratamiento3" value="opcion_3" onclick="uncheckRadio(this);desMarcNingun(this);"> El tratamiento de los datos es necesario para proteger los intereses vitales del interesado, cuando esté incapacitado para dar su consentimiento.
            </label>
            <br><br>
            <label class="radio-inline">
              <input type="radio" id="radioTratamiento4" name="radioTratamiento4" value="opcion_4" onclick="uncheckRadio(this);desMarcNingun(this);">El interesado ha hecho manifiestamente públicos sus datos.
            </label>
            <br><br>
            <label class="radio-inline">
              <input type="radio" id="radioTratamiento5" name="radioTratamiento5" value="opcion_5" onclick="uncheckRadio(this);desmarcar(this)">Ninguna de las anteriores.
            </label>
            </div>
      <br><br>

      <label for="numPersonas">2. Marque si el tratamamiento que se realiza sobre los datos está fundamentado en: </label>
      <br><br>
      <div class="col-md-auto col-md-offset-1">
        <label class="radio-inline">
          <input type="radio" id="radiotrat1" name="radiotrat1" value="opcion_1" onclick="uncheckRadio(this);desMarcNingun2(this);"> Bajo la responsabilidad de personas sujetas a la obligación del secreto profesional.
        </label>
        <br><br>
        <label class="radio-inline">
          <input type="radio" id="radiotrat2" name="radiotrat2" value="opcion_2" onclick="uncheckRadio(this);desMarcNingun2(this);">	Para fines de asistencia sanitaria o social, medicina preventiva o laboral o diagnóstico médico incluida la evaluación de la capacidad laboral del trabajador.
          </label>
<br><br>
      <label class="radio-inline">
        <input type="radio" id="radiotrat3" name="radiotrat3" value="opcion_3" onclick="uncheckRadio(this);desMarcNingun2(this);"> Para procedimientos judiciales.
        </label>
<br><br>
      <label class="radio-inline">
        <input type="radio" id="radiotrat4" name="radiotrat4" value="opcion_4" onclick="uncheckRadio(this);desMarcNingun2(this);">Es necesario para cumplir la legislación laboral, o la de seguridad o protección social o la de convenios colectivos.
        </label>
    <br><br>
      <label class="radio-inline">
        <input type="radio" id="radiotrat5" name="radiotrat5" value="opcion_5" onclick="uncheckRadio(this);desMarcNingun2(this);">Es necesario por razones de interés público en el ámbito de la salud pública o la asistencia sanitaria.
        </label>
<br><br>
    <label class="radio-inline">
      <input type="radio"  id="radiotrat6" name="radiotrat6" value="opcion_6" onclick="uncheckRadio(this);desMarcNingun2(this);">Es necesario para fines de archivo en interés público en investigaciones científicas, históricas o estadísticas.
      </label>
<br><br>
    <label class="radio-inline">
        <input type="radio" id="radiotrat7" name="radiotrat7" value="opcion_7" onclick="uncheckRadio(this);desmarcar2(this);">Ninguna de las anteriores.
      </label>
    </div>
<br>
<img align="right"style=" width="220" height="220"" src="../Imagenes/salud.png"/>
<label for="numPersonas">3. ¿El tratamiento de los datos es necesario con fines de interés público en el ámbito de la salud pública?  </label>
<br><br>
<div class="col-md-2 col-md-offset-1">
  <label class="radio-inline">
    <input type="radio" name="radioSalud" value="opcion_1"> Si
  </label>
  <label class="radio-inline">
    <input type="radio" name="radioSalud" value="opcion_2"> No
</label>
</div>
<br><br>
<label for="numPersonas">4. ¿Los datos de salud de los interesados son realizados para algún estudio?</label>
<br><br>
<div class="col-md-2 col-md-offset-1">
  <label class="radio-inline">
    <input type="radio" name="radioEstudios" value="opcion_1"> Si
  </label>
  <label class="radio-inline">
    <input type="radio" name="radioEstudios" value="opcion_2"> No
</label>
</div>
<br><br>

<label for="numPersonas"> 5. ¿Se comunica algún dato a terceros, mutuas y/o compañias de seguros?</label>
<br><br>
<div class="col-md-2 col-md-offset-1">
  <label class="radio-inline">
    <input type="radio" name="radioTerceros" value="opcion_1" onclick="mostrar('numProveedores');"> Si
  </label>
  <label class="radio-inline">
    <input type="radio" name="radioTerceros" value="opcion_2" onclick="ocultar('numProveedores');"> No
</label>
  </div>
  <br><br><br>
  <!--Coge el numero de proveedores que tenga-->
  <div class="col-md-auto col-md-offset-1" id="numProveedores" style="display:none;">
    <form name="ejMultiInput">
      <label for="numProveedores">5.1.Indique el número de proveedores a los que cede los datos.</label>
      <br><br>
      <div class="col-md-auto col-xs-1">
      <input name="nProv"type="text" class="form-control" onkeyup="multiplicarInputs(this)" size="10" maxlength="20" />
      <br />
      <div id="divMultiInputs">

    </div>
  </div>
  </form>
  </div>

<br><br>
</div>

</div>
<br><br>
<div class="row">
  <br><br>
            <!--panel con los botones generales de la web para continuar o ir un paso atras-->
          <div class="panel panel-info text-center">
            <div class="panel-body">
              <div class="row" id="errorMSG" style="display: none;">
                <error> *Debe completar todos los campos para poder continuar </error>
                <br><br>
              </div>
		<a href="<?=$_SERVER["HTTP_REFERER"]?>"class="btn btn-warning btn-lg col-md-2 col-md-offset-6">Atras</a>
            <input type="button" class="btn btn-success btn-lg col-md-2 col-md-offset-1" name="boton" value="Continuar" onclick="validar();" />
            </div>
          </div>
      </div>
  </div>
</div>
</form>

</div>
<?php include 'piePagina.php';?>
</body>
</html>
